org.apache.calcite.avatica.util

## Class AbstractCursor.IntervalDayTimeAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ExactNumericAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.LongAccessor
      - - org.apache.calcite.avatica.util.AbstractCursor.IntervalDayTimeAccessor

All Implemented Interfaces:
  Cursor.Accessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.IntervalDayTimeAccessor
    extends AbstractCursor.LongAccessor

Accessor that assumes that the underlying value is a `long`; corresponds to `Types.OTHER`.

### Field Summary

Fields
`private TimeUnitRange` `range`
`private int` `scale`

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCursor.IntervalDayTimeAccessor(AbstractCursor.Getter getter, TimeUnitRange range, int scale)`

### Method Summary

Methods
`String` `getString()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.LongAccessor

`getLong`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.ExactNumericAccessor

`getBigDecimal, getBigDecimal, getDouble, getFloat`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### range

    private final TimeUnitRange range

#### scale

    private final int scale

### Constructor Detail

#### AbstractCursor.IntervalDayTimeAccessor

    public AbstractCursor.IntervalDayTimeAccessor(AbstractCursor.Getter getter,
                                          TimeUnitRange range,
                                          int scale)

### Method Detail

#### getString

    public String getString()
                     throws SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`